Loading...
Searching...
No Matches
wayland::egl_window_t Class Reference

Native EGL window. More...

`#include <wayland-egl.hpp>`

Inheritance diagram for wayland::egl_window_t:
[legend]
Collaboration diagram for wayland::egl_window_t:
[legend]

## Public Member Functions

| egl_window_t (surface_t const &surface, int width, int height)
| Create a native egl window for use with eglCreateWindowSurface.

## Detailed Description

Native EGL window.

Examples
  egl.cpp.

Definition at line 42 of file wayland-egl.hpp.

## Constructor & Destructor Documentation

## egl_window_t()

wayland::egl_window_t::egl_window_t | ( | surface_t const & | surface,
|  | int | width,
|  | int | height
| ) |  |

Create a native egl window for use with eglCreateWindowSurface.

Parameters

  surface | The Wayland surface to use
  width | Width of the EGL buffer
  height | height of the EGL buffer

The documentation for this class was generated from the following file:

- include/wayland-egl.hpp